<?php
/**
 * A special login class for Ship-Simu
 *
 * @author		Roland Haeder <webmaster@ship-simu.org>
 * @version		0.0.0
 * @copyright	Copyright(c) 2007, 2008 Roland Haeder, this is free software
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.ship-simu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class ShipSimuUserLogin extends BaseFrameworkSystem implements LoginableUser {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);

		// Set part description
		$this->setObjectDescription("Login for Ship-Simu");

		// Create unique ID number
		$this->generateUniqueId();

		// Clean up a little
		$this->removeNumberFormaters();
		$this->removeSystemArray();
	}

	/**
	 * Creates an instance of this login class
	 *
	 * @return	$loginInstance	An instance of this login class
	 */
	public final static function createShipSimuUserLogin () {
		// Get a new instance
		$loginInstance = new ShipSimuUserLogin();

		// Return the instance
		return $loginInstance;
	}

	/**
	 * Logins the user with the given request containing the credential. The
	 * result of the login can be thrown by exception or, if prefered stored
	 * in a boolean attribute which is then readable by a matching getter.
	 *
	 * @param	$requestInstance	An instance of a Requestable class
	 * @return	void
	 */
	public function doLogin (Requestable $requestInstance) {
		$this->partialStub();
	}
}

// [EOF]
?>
